Subject: Re: critic on documentation of the network stack

From: Arkadiusz Miskiewicz <[email-masked]>
Date: Sun, 26 Jan 2014 22:33:19 +0100

On Friday 24 of January 2014, Hannes Frederic Sowa wrote:
> Hello!
> 
> After net-next is closed I wanted to put the following link here:
> 
>   <http://linux.slashdot.org/comments.pl?sid=4356053&cid=45184693>
> 
> I don't want to start a flamefest or come too close to someone but I
> fear some of the critic is reasonable.  Maybe we can do better (I have
> to admit, I also hate writing documentation, e.g. have not yet send the
> IP_PMTUDISC_INTERFACE man-page patches).
> 
> I try to start with some constructive discussion:
> 
> There are some great features in the network stack that some people miss
> because of lack documentation. One possible solution is documentation
> directly in the kernel, but mostly this is just written as a reference
> and the real wonderful stuff is only achieved by putting lots of those
> features correclty together.
> 
> Maybe this is the second or third time this was proposed but I'll try
> again: Would it make sense to just start slow and setup a wiki

Some other project never merge patches if there is no documentation.

Maintainers could do the same, so eg. kernel patch is merged only if there is 
man-pages patch send, too (or other kind of documentation).

-- 
Arkadiusz Miśkiewicz, arekm / maven.pl